Public Enum CalcStates As Integer
   NOTCALCULATED = -1
   OK = 0
   INFO = 1
   WARNING = 2
   ERROR_ = 3
   COLLISION = 4
End Enum

Public Enum EventType
    ND = -1
    Started = 0
    Ended = 1
End Enum

Public Enum ItemState As Integer
   ND = -1
   Assigned = 0
   Confirmed = 1
   WIP = 2
   Produced = 3
   Scrapped = 4
End Enum

Public Enum LogSupportLevel
    ND = -1
    I = 0
    E = 1
End Enum

Public Enum LogSupportTarget
    ND = -1
    Supervisor = 0
    LoadProject = 1
End Enum

Public Enum StatusMapItemType
   ND = -1
   Prod = 0
   MachGroup = 1
   Part = 2
   Comm = 3
End Enum

Public Enum StatusMapOpType
   ND = -1
   Startup = 0
   PartStart = 1
   PartEnd = 2
   MachGroupAdd = 3
   MachGroupMod = 4
   MachGroupRem = 5
   MachGroupNeedRedo = 6
   MachGroupAssignedToSupervisor = 7
   MachGroupRemovedFromSupervisor = 8
   SupervisorStopRequest = 9
   ViewOptimStoped = 10
   SupervisorReleaseStop = 11
   ResetPartStart = 12
   ResetPartEnd = 13
   SetPartScrapped = 14
   ChangeProdInSupervisorRequest = 15
   ChangeProdInProdRequest = 16
   OpenPageInViewOptimRequest = 17
   MachGroupValidationUpdate = 18
End Enum

Public Enum DimensionType
   COLUMN = 0
   ROW = 1
End Enum